Konqueror / OpenPGP

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Konqueror / OpenPGP gibt es 13 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Konqueror / OpenPGP

    Hallo Community,

    Konqueror als Browser benutzt wird nach Aufruf einer Website von der Aufforderung unterbrochen:

    Quellcode

    1. pinentry-qt
    2. Sie benötigen eine Passphrase, um den geheimen OpenPGP Schlüssel zu entsperren
    3. .....
    Was habe ich übersehen? Oder ist das ein Bug?

    Für den Inhalt des Beitrages 96262 haftet ausdrücklich der jeweilige Autor: kinoe

  • Hallo kinoe,

    Ist das reproduzierbar? Ist überhaupt gesichert, ob die Meldung von Konqueror kommt?
    Verlangt die aufgerufene Seite eine Passworteingabe, die eventuell im Browser gespeichert werden soll?
    Gibt es verdeckte Fenster?

    Hast du KWallet mit einem OpenPGP-Schlüssel eingerichtet?

    Viele Grüße
    Bequimão
    Sony Vaio E Series SVE1713G4EW mit Win 8 und UEFI
    openSUSE Leap KDE - Mageia 6 - KaOS Linux

    Bequimão (gesprochen: Be-ki-mãu) ist Manuel Beckmann,
    brasilianischer Revolutionär in Maranhão (1630 - 1685).

    Für den Inhalt des Beitrages 96282 haftet ausdrücklich der jeweilige Autor: Bequimão

  • Bequimão schrieb:


    Ist das reproduzierbar? Ist überhaupt gesichert, ob die Meldung von Konqueror kommt?
    Verlangt die aufgerufene Seite eine Passworteingabe, die eventuell im Browser gespeichert werden soll?
    Gibt es verdeckte Fenster?


    Hast du KWallet mit einem OpenPGP-Schlüssel eingerichtet?
    Ja ist reproduzierbar: Site öffnen und irgendein weiteren Link oder ähnliches anklicken, gerne auch wenn ein aktives Element beteiligt ist, wie ein Popup.
    Wenn ich die Meldung wegklicke kommt die Fehlermeldung:

    Quellcode

    1. GPG-BAckend für KWalletd-KDE
    2. Fehler beim Versuch, den mit GPG verschlüsselten PAsswortspeicher kdewallet zu entschlüsseln.
    3. ...
    4. Die GPG-Fehlermeldung lautet Enstchlüsselung fehlgeschlagen
    Beim Login habe ich aber den Passwortspeicher durch Eingabe des Passworts geöffnet.
    Nein, die aufgerufene Seite scheint es nicht zu sein, welche da eine Passworteingabe erfordert, da im Firefox auf denselben Seiten nichts dergleichen erforderlich ist.
    Verdeckte Fenster sind mir nie dabei aufgefallen.


    Ob ich KWallet mit einem OpenPGP-Schlüssel eingerichtet habe, muss ich ehrlich sagen, weiß ich nicht, wie finde ich das raus??

    Für den Inhalt des Beitrages 96300 haftet ausdrücklich der jeweilige Autor: kinoe

  • Hier die Ausgabe der Konsole:

    Quellcode

    1. $ konqueror
    2. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    3. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    4. libpng warning: iCCP: known incorrect sRGB profile
    5. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    6. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    7. QPainter::begin: Widget painting can only begin as a result of a paintEvent
    8. QPainter::translate: Painter not active
    9. QPainter::setClipRect: Painter not active
    10. QPainter::hasClipping: Painter not active
    11. QPainter::setClipRegion: Painter not active
    12. QPainter::setClipRegion: Painter not active
    13. QPainter::hasClipping: Painter not active
    14. QPainter::setClipRegion: Painter not active
    15. QPainter::setClipRegion: Painter not active
    16. QPainter::hasClipping: Painter not active
    17. QPainter::setPen: Painter not active
    18. QPainter::setBrush: Painter not active
    19. QPainter::drawRects: Painter not active
    20. QPainter::hasClipping: Painter not active
    21. QPainter::setPen: Painter not active
    22. QPainter::setBrush: Painter not active
    23. QPainter::drawRects: Painter not active
    24. QPainter::hasClipping: Painter not active
    25. QPainter::setPen: Painter not active
    26. QPainter::setBrush: Painter not active
    27. QPainter::drawRects: Painter not active
    28. QPainter::setPen: Painter not active
    29. QPainter::worldTransform: Painter not active
    30. QPainter::hasClipping: Painter not active
    31. QPainter::begin: Widget painting can only begin as a result of a paintEvent
    32. QPainter::translate: Painter not active
    33. QPainter::setClipRect: Painter not active
    34. QPainter::setPen: Painter not active
    35. QPainter::worldTransform: Painter not active
    36. QPainter::save: Painter not active
    37. QPainter::setRenderHint: Painter must be active to set rendering hints
    38. .....(wiederholt sich etliche Male)
    39. konqueror(4964)/khtml (jscript console) KJS::printMessage: [ LOG ] Exception in module-execute in module user.tokens:
    40. konqueror(4964)/khtml (jscript console) KJS::printMessage: [ ERROR ] ReferenceError: Can't find variable: localStorage
    41. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    42. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    43. konqueror(4964)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    44. Getötet
    Alles anzeigen
    Oben beschriebener Fehler wiederholt sich ab Zeile 39 bzw. 41, d.h. dass sich da das Popup zeigt mit der Aufforderung "pinentry-q: Sie benötigen eine Passphrase, um den geheimen OpenPGP Schlüssel zu entsperren..."

    Für den Inhalt des Beitrages 96517 haftet ausdrücklich der jeweilige Autor: kinoe

  • Okay, hab pinentry-qt5 gelöscht.
    Beim Öffnen einer Website kommt dann wieder die Fehlermeldung:

    Quellcode

    1. GPG-BAckend für KWalletd-KDE
    2. Fehler beim Versuch, den mit GPG verschlüsselten PAsswortspeicher kdewallet zu entschlüsseln.
    3. Verwenden Sie eine Chipkarte, überprüfen Sie, ob sie richtig eingesteckt ist und versuchen es erneut.
    4. Die GPG-Fehlermeldung lautet Enstchlüsselung fehlgeschlagen

    und Konsole sagt:

    Quellcode

    1. $ konqueror
    2. konqueror(4394)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    3. konqueror(4394)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    4. libpng warning: iCCP: known incorrect sRGB profile
    5. konqueror(4394)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    6. konqueror(4394)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    7. konqueror(4394)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
    8. libpng warning: iCCP: known incorrect sRGB profile
    9. QDBusConnection: name 'org.kde.kwalletd' had owner '' but we thought it was ':1.100'
    10. libpng warning: iCCP: known incorrect sRGB profile
    11. X Error: BadWindow (invalid Window parameter) 3
    12. Major opcode: 20 (X_GetProperty)
    13. Resource id: 0x6a00042
    Alles anzeigen
    Hab gerade mal probiert Kwalletmanager5 zu öffnen und siehe da: öffnet sich nicht - vielleicht liegt es auch daran?!

    Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von kinoe ()

    Für den Inhalt des Beitrages 96535 haftet ausdrücklich der jeweilige Autor: kinoe